# Tax Classes Tax Classes ## Gets all of the tax classes in the system. - [GET /taxClasses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/listtaxclasses.md): This method will scan all tax classes and and return them to the caller. ## Creates a new tax class record that does not already exist. - [POST /taxClasses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/createtaxclass.md): This method will auto-generate an ID and create a new tax class. If an ID is specified for the tax class, an error will be thrown. ## Execute Batch Operations - [POST /taxClasses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a tax class from the system by its ID. - [DELETE /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/deletetaxclass.md): This method will delete a tax class with the specified ID. ## Returns a tax class from the system by its ID. - [GET /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/gettaxclass.md): This method will look up a tax class by the specified ID and return it back. ## Partially updates a tax class with the specified ID. - [PATCH /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/patchtaxclass.md): This method will patch an existing tax class with the specified ID, using the HTTP PATCH specification. ## Updates a tax class with the specified ID. - [PUT /taxClasses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/tax-classes/updatetaxclass.md): This method will update an existing tax class with the specified ID.